<p style="color: green"><%= notice %></p>

<h1>Videos</h1>

<div id="videos">
  <% @videos.each do |video| %>
    <tr>
        <td><%= video.title %></td>
        <td><%= video.description %></td>
        <td><video src="<%= url_for(video.file) %>" height="400" width="400"  controls></video></td>
        <td><%= link_to 'Edit', edit_video_path(video) %></td>
        <td><%= link_to 'Destroy', video, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <p>
      <%= link_to "Show this video", video %>
    </p>
  <% end %>
</div>

<%= link_to "New video", new_video_path %>





<input type="file" accept="video/*;capture=camcorder">
<input type="file" accept="audio/*;capture=microphone">

<device type="media" onchange="update(this.data)"></device>
<video autoplay></video>
<script>
    function update(stream) {
    document.querySelector('video').src = stream.url;
    }
</script>